20.1 software

Hello everyone, now i know with the release of 20.1 we are all excited, but i have a question…

will i need the lates version of IOS installed on my ipad?
My parents both did this yesterday but it got rid of all there data, so im scared to do it… should i?

Not necessarily - but I would advise it to prevent any issues. I installed IOS 13.5 with no issues.

1 Like

Ok, thanks. This can be closed now.

No, you need a recent iOS. iOS 13 is 100% fine, no need to use the latest software.

1 Like

wait… 2 benny boys?

2 Likes

iOS 13.5.1 is the latest

1 Like

Yes @ItsBlitz there are two BennyBoy’s, me and @BennyBoy007

2 Likes